portal-designer Dependencies Support for Django 2.2

Versions in portal-designer already support Django 2.2

Newer versions available on PyPI which support Django 2.2

Support for Django 2.2 on master but not PyPI

  • factory-boy (supports 2.1 in installed version, may just work)

Haven't been tested with Django 2.2 upstream

  • django-rest-swagger (deprecated, latest release supports 2.1; switch to drf-yasg if this becomes a problem)

  • rest-condition (negligible Django usage beyond DRF, may just work with 2.2)